Bug 967840 - Incorrect GTK 3.8 support in greybird-gtk3-theme
Incorrect GTK 3.8 support in greybird-gtk3-theme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: greybird (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Athmane Madjoudj
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 08:09 EDT by Marek Suchánek
Modified: 2013-08-14 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: greybird-1.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:46:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the "File" menu in gedit 3.8.2 showing black lines (39.15 KB, image/png)
2013-05-28 08:09 EDT, Marek Suchánek
no flags Details

  None (edit)
Description Marek Suchánek 2013-05-28 08:09:18 EDT
Created attachment 753884 [details]
the "File" menu in gedit 3.8.2 showing black lines

Description of problem:

When the Greybird GTK theme is set, menus in GTK3 applications show unwanted and ugly black lines (see screenshot).


Version-Release number of selected component (if applicable):

greybird-gtk3-theme-1.0.8-1.fc19


Additional info:

Updating Greybird to the latest upstream version (1.1.1) solves the issue and brings no new problems, at least I haven't observed any so far, using the current tarball from shimmerproject.org.
Comment 1 Ananda Samaddar 2013-08-08 16:16:37 EDT
I've just updated the SPEC file and built version 1.1.1 but this doesn't fix the GTK 3.8 problems for me.  I think this will need the latest version from git.
Comment 2 Athmane Madjoudj 2013-08-08 17:45:26 EDT
Sorry Marek, I didn't notice this bug report until Ananda added a comment.

I'll push an update to address this issue.
Comment 3 Fedora Update System 2013-08-08 18:40:58 EDT
greybird-1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/greybird-1.2-1.fc19
Comment 4 Fedora Update System 2013-08-09 23:55:29 EDT
Package greybird-1.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing greybird-1.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14544/greybird-1.2-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-14 22:46:53 EDT
greybird-1.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.